Bug 427047 - broken string handling in init script
broken string handling in init script
Product: Fedora
Classification: Fedora
Component: radvd (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Nagy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-30 12:11 EST by Christian Krause
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-25 07:24:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch which fixes the string compare problem (634 bytes, patch)
2007-12-30 12:11 EST, Christian Krause
no flags Details | Diff

  None (edit)
Description Christian Krause 2007-12-30 12:11:44 EST
Description of problem:
calling the init script without any parameter results in the following error message

root@:~# /etc/init.d/radvd 
/etc/init.d/radvd: line 31: [: ==: unary operator expected
Usage: /etc/init.d/radvd {start|stop|status|restart|reload|condrestart}

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
I've attached a very small patch for the init script which fixes the broken
string compare by using quotation marks like:

if [ "$1" = "status" ]; then 
Comment 1 Christian Krause 2007-12-30 12:11:44 EST
Created attachment 290553 [details]
patch which fixes the string compare problem
Comment 2 Christian Krause 2008-02-14 17:18:14 EST
I've checked current version of radvd in rawhide (radvd-1.0-6.fc9.i386) and the
problem is there as well.

Sure, the severity is low, but the patch is trivial and should not break
anything.  Please can it be applied? ;-)

Comment 3 Martin Nagy 2008-02-25 07:24:52 EST
Thanks for reporting this.
Fixed in radvd-1.1-2.fc9
Comment 4 Pekka Savola 2008-02-27 08:08:05 EST
Patch also added to upstream CVS, will be in the next release, whenever that is.

Note You need to log in before you can comment on or make changes to this bug.